Google
  Web www.spinics.net

Re: [PHP-WIN] Building PHP 5.2.X on VC9â

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


2011/4/21 Andres Herrera <herreraaandres@xxxxxxxx>:
>
> Hello all,
>
> I've been tasked to create Production ready builds of
> PHP 5.2.17 and PHP 5.3.6 to run on IIS 7.0 web servers.

Our builds are production ready. Why do you want to build them again
on your own?

> The
> StepByStepBuild wiki instructions were perfect, I was able to get a PHP
> 5.3.6 build in no time at all. However, not having VC6, I was forced to
> use VC9 to compile 5.2.17. I basically followed the same instructions
> for building PHP 5.3.6 just used different source. The build was
> successful, however I have to question what possible issues I've
> introduced using VC9 and Windows SDK 6.1 instead of using VC6 and
> Platform SDK 2003.

5.2 does not support VC9 and we won't change anything to make it work
with VC9. PHP 5.2 is also not supported anymore.

> What
>  do you all suggest, is PHP 5.2.17 built using VC9 with Windows SDK 6.1
> Production quality? Or should I find a way to get a copy of VC6?

Use our builds for both 5.2 and 5.3 would be much easier for you, as
well as using only 5.3. But I suppose the later is not option for you.

Cheers,
-- 
Pierre

@pierrejoye | http://blog.thepimp.net | http://www.libgd.org

-- 
PHP Windows Mailing List (http://www.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php




[PHP Home]     [PHP Users]     [PHP Install]     [PHP on Windows]     [Programming PHP]     [Kernel Newbies]     [Rice Cooker]     [Home]     [Yosemite News]     [Yosemite Photos]     [PHP Books]

Powered by Linux